#!/bin/bash

#*!!!*This script must call by 'sudo <this-file>'

. _source_config_check.sh

update_time()
{
    TIMEZONE=`date +%Z%:::z|tr +- -+`
	echo Attempting to set the time on the device
	$ADB -s $MTCFG_TEST_USB_NO wait-for-device &&
	sleep 5s
	$ADB -s $MTCFG_TEST_USB_NO root &&
	sleep 10s
	$ADB -s $MTCFG_TEST_USB_NO wait-for-device &&
	sleep 5s
	$ADB -s $MTCFG_TEST_USB_NO shell toolbox date `date +%s` &&
	$ADB -s $MTCFG_TEST_USB_NO wait-for-device &&
	$ADB -s $MTCFG_TEST_USB_NO shell setprop persist.sys.timezone $TIMEZONE
}

[ "$MTCFG_FLASH" == "YES" ] || exit 0

trap 'exit 1' ERR

if [ ! -d $MTCFG_IMG_FOLDER ]
then
    log "[ERROR]No image folder: $MTCFG_IMG_FOLDER"
    exit 1
fi

FASTBOOT=bin/fastboot
[ -f "$FASTBOOT" ]

echo $passwd | sudo -S echo -n

$ADB -s $MTCFG_TEST_USB_NO reboot-bootloader
sudo $FASTBOOT devices

[ -n "$MTCFG_FLASH_IMGS" ] || MTCFG_FLASH_IMGS='2ndbl boot system userdata'

for partition in $MTCFG_FLASH_IMGS
do
    case "$partition" in
    "2ndbl")
        image=$MTCFG_IMG_FOLDER/u-boot.bin
        ;;
    "boot")
        image=$MTCFG_IMG_FOLDER/boot.img
        ;;
    "system"*)
        image=$MTCFG_IMG_FOLDER/${partition}.img
        partition="system"
        ;;
    "userdata"*)
        image=$MTCFG_IMG_FOLDER/${partition}.img
        partition="userdata"
        ;;
    esac

    if [ -e "$image" ]
    then
        sudo $FASTBOOT flash $partition $image
    fi
done

sudo $FASTBOOT reboot && update_time
$ADB -s $MTCFG_TEST_USB_NO wait-for-device

echo We will wait 60s for device run stable. If you want take the device and stop script, you can.
sleep 60
