#!/bin/bash

#. _source_config_check.sh

[ $# -ne 1 ] && echo usage: "$0 <log-folder>" && exit 1

log=$1

if [ ! -d ${log}/slog_external ] && [ ! -d ${log}/slog_internal ]
then
    echo no any slog in log folder: $log.
    exit 0
fi

if [ -d ${log}/slog_external ]
then
    log_path=${log}/slog_external
else
    log_path=${log}/slog_internal
fi

log_curpath=$(find $log_path -maxdepth 1 | grep -P '/[-\d]+$')

if grep -P "rebooted at \d+" ${log}/monkey.log > /dev/null 2>&1
then
    log_type="last"
    log_folder=$(find ${log_path}/last_log -maxdepth 1 | grep -P '/\d{14}$')
    log_last_kmsg=${log_curpath}/misc/last_kmsg.log
else
    log_type="now"
    log_folder=$log_curpath
fi

output=${log}/oom-kill-details

echo '' > $output
grep -crE "kill.+\(b2g\)"  --include='kernel.log' ${log_folder}/kernel 2>/dev/null >> $output
echo '' >> $output
grep -rh "kill.*\(b2g\)" -B10 -A90 --include='kernel.log' ${log_folder}/kernel 2>/dev/null >> $output

exit 0
