#!/bin/bash

. _source_config_check.sh

trap "log \"[$(date +'%m-%d.%H:%M')]Test end at $(date +'%s')\"" EXIT

#time define
TICK=10
NORMAL_CHECK_CNT=6
normal_check=6
last_uptime=0
uptime=0

$ADB -s $MTCFG_TEST_USB_NO reboot
$ADB -s $MTCFG_TEST_USB_NO wait-for-device
$ADB -s $MTCFG_TEST_USB_NO root
$ADB -s $MTCFG_TEST_USB_NO wait-for-device

log "[$(date +'%m-%d.%H:%M')]Test begin at $(date +'%s')"
#test time limit check
if [ -n "$MTCFG_TEST_TIME_LIMIT" ] && [ $MTCFG_TEST_TIME_LIMIT -gt 0 ]
then
    END_TIME=$(($(date +"%s")+MTCFG_TEST_TIME_LIMIT*60*60))
    log "[$(date +'%m-%d.%H:%M')]Test will end after $MTCFG_TEST_TIME_LIMIT hours($END_TIME)."
fi

if [ $MTCFG_DEV_NAME = "6821" -a $MTCFG_TEST_TAG = "monkey" ]
then
    rm -rf about-memory-*
    MOZ_IGNORE_NUWA_PROCESS=1 ./tools/get_about_memory.py -mo
fi

sleep 40
while true
do
    $ADB -s $MTCFG_TEST_USB_NO wait-for-device

    ./_tick_collect_info.sh

    if [ $normal_check -lt $NORMAL_CHECK_CNT ]
    then
        normal_check=$((normal_check+1))
    else
        normal_check=0

        #reboot check
        uptime=$($ADB -s $MTCFG_TEST_USB_NO shell cat /proc/uptime | cut -d'.' -f1)
        if [ -z "$uptime" ] || [[ "$uptime" == *[!0-9]* ]]
        then
            log "[$(date +'%m-%d.%H:%M')][WARNING]Get uptime failed!"
        elif [ $uptime -gt $last_uptime ]
        then
            last_uptime=$uptime
        else
            log "[$(date +'%m-%d.%H:%M')]The device is rebooted at $(date +'%s'), prepare to get log..."
            [ $MTCFG_DEV_NAME = "6821" -a $MTCFG_TEST_TAG = "monkey" ] && MOZ_IGNORE_NUWA_PROCESS=1 ./tools/get_about_memory.py -mo
            ./_log.sh "reboot"
            #if reboot, we will stop any operations to preserve the spot
            exit 0
        fi

        #test time limit check
        if [ -n "$MTCFG_TEST_TIME_LIMIT" ] && [ $MTCFG_TEST_TIME_LIMIT -gt 0 ] && [ $(date +"%s") -gt $END_TIME ]
        then
            log "[$(date +'%m-%d.%H:%M')]Test run $MTCFG_TEST_TIME_LIMIT hours successful at $(date +'%s'). Get log..."
            [ $MTCFG_DEV_NAME = "6821" -a $MTCFG_TEST_TAG = "monkey" ] && MOZ_IGNORE_NUWA_PROCESS=1 ./tools/get_about_memory.py -mo
            ./_log.sh "end"
            exit 0
        fi

        #keep running orng
        ./_test_keep.sh
        [ $? -ne 0 ] && log "[ERROR]$0($LINENO) test keep" && exit 1
    fi

    sleep $TICK 
done
