#!/bin/bash

usage ()
{
    echo "Usage: $(basename $0) <input folder> <output_folder> [yymmdd]"
    exit $1
}


if [ $# -ge 2 ]
then
    input=$1
    output=$2
else
    usage 1
fi

if [ $# -ge 3 ]
then
log_date=$3
else
log_date=$(date +%y%m%d)
fi

yesterday=$(date --date="20$log_date yesterday" +%y%m%d)
[ $? -eq 0 ] || usage 1

daily=${output}/r${log_date}
mkdir -p $daily

echo "log daily report: ${yesterday}1200 ~ ${log_date}1200"
echo "please waiting..."

summary=$($(dirname $0)/summary.sh --log-dir ${input} --output-dir $daily --date-from ${yesterday}1200 --date-to ${log_date}1200)

dsummary=$output/daily-summary
[ -f $dsummary ] || >$dsummary

[ $(( $(cat $dsummary | wc -l) % 10 )) -eq 0 ] && printf "Date\tEnd\tReboot\tOther\tTotal\tTombs\tMinidmp\tOOM-b2g\n" >> $dsummary
printf "$log_date\t$summary\n" >> $dsummary

